/**********************************************************************
 * Copyright (c) 2022 Red Hat, Inc.
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 ***********************************************************************/
import { AxiosInstance } from 'axios';
import { GithubService, GithubUser } from '../api/github-service';
import { $j } from '../logger';
import { $f } from './k8s-service-impl';
export declare class $p implements GithubService {
    private b;
    private readonly c;
    private readonly d;
    private a;
    constructor(b: $j, c: $f, d: AxiosInstance);
    private e;
    getToken(): Promise<string>;
    getUser(): Promise<GithubUser>;
    getTokenScopes(token: string): Promise<string[]>;
    persistDeviceAuthToken(token: string): Promise<void>;
    removeDeviceAuthToken(): Promise<void>;
    private f;
    private g;
    private h;
    private i;
}
